/*
 * OpenWatheMap お天気データ取得
 * * 
 */
#ifndef _OPENWATHER_H_
#define _OPENWATHER_H_

#define WATHEDATA_NUM 2

typedef struct WatherTime_s {
  int tm_year;  // 年
  int tm_mon;   // 月 - 1 (0-11)
  int tm_mday;  // 日 (1-31)
  int tm_hour;  // 時 (0-23)
  int tm_min;   // 分 (0-59)
  int tm_sec;   // 秒 (0-59)
} WatherTime_t ;

typedef struct WatherData_s {
  WatherTime_t tim ;
  String wather ;
  int watherCode ;
} WatherData_t ;

class JMAWATHER
{
  public:
    WatherData_t watheData[WATHEDATA_NUM] ;
    void getWatherData( ) ;

  private:
    void readWatherData(String watherDataStr,String areaCode) ;
    WatherTime_t dateFormat(String dateStr) ;
} ;

#endif
